Bug 805472 - NSE [java.util.regex.Matcher] at any validated input (in cluster mode)
NSE [java.util.regex.Matcher] at any validated input (in cluster mode)
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.ER02
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.1.ER03
Assigned To: Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 08:29 EDT by Michal Vanco
Modified: 2013-09-02 01:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8627 by chris.laprun at 2012-03-21 12:51:26 EDT (show)
8627 by chris.laprun at 2012-03-21 12:51:26 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 805472 - NSE [java.util.regex.Matcher] at any validated input (in cluster mode): remember the regular expression and create/reset Matcher on demand.

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/webui/core/src/main/java/org/exoplatform/webui/form/validator/ExpressionValidator.java (+19 / -6)


Attachments (Terms of Use)
NSE error in server log (30.44 KB, text/plain)
2012-03-21 08:29 EDT, Michal Vanco
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2392 Major Resolved NSE [java.util.regex.Matcher] at any validated input (in cluster mode) 2012-09-04 06:25:25 EDT

  None (edit)
Description Michal Vanco 2012-03-21 08:29:24 EDT
Created attachment 571696 [details]
NSE error in server log

Description of problem:
There is an error thrown when you access any page with validated input:

"java.io.NotSerializableException: Type TypeModel[name=java.util.regex.Matcher] is not serializable"

Steps to Reproduce:
1. start EPP in cluster mode (-c all -Dexo.profiles is enough to reproduce)
2. go to New Staff page (or create new category in App.registry or try anything with validations)
Comment 1 claprun@redhat.com 2012-03-21 08:44:59 EDT
Weird, I thought I had fixed this already…
Comment 2 Michal Vanco 2012-03-21 08:59:58 EDT
Of course I meant: -c all -Dexo.profiles=cluster
Comment 3 JBoss JIRA Server 2012-03-23 06:03:06 EDT
Trong Tran <trongtt@gmail.com> updated the status of jira GTNPORTAL-2392 to Resolved

Note You need to log in before you can comment on or make changes to this bug.